# Retrieve Token Details
source: https://developer.mastercard.com/mastercard-processing-digital/documentation/use-cases/retrieve-token-details/index.md

## Overview {#overview}

The use case describes the process for a cardholder to display details of all tokens created for their card.

## Sequence diagram {#sequence-diagram}

Diagram retrieve-token-details

### Explanation {#explanation}

1. The cardholder selects to display token details in the mobile application.

2. The mobile application sends the request to the issuer server to fetch token details.

3. The issuer server sends a `GET` request to the:

   * `/clients/{client_id}/tokens` endpoint to retrieve all tokens associated with the specified `client_id` or
   * `/cards/{card_contract_id}/tokens` endpoint to retrieve all tokens associated with the specified `card_contract_id` or
   * `/tokens/{token_number}` endpoint to retrieve details of a single token. Tip: You can use the optional query path parameter `status` in the request to retrieve only active or inactive tokens.
4. The API returns details for each of the requested tokens. All three endpoints return the same set of data for each of the tokens. Refer to [Endpoints](https://developer.mastercard.com/mastercard-processing-digital/documentation/use-cases/retrieve-token-details/index.md#endpoints) to check the complete list of data returned by the endpoints.

5. The server sends the response to the mobile application.

6. The mobile application displays details of a card tokenization, such as where and when the card was tokenized together with the status of the tokenization, to the cardholder.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-digital/documentation/sandbox-testing/index.md) for more information on how to execute the use case in the Sandbox environment.

## Endpoints {#endpoints}


API Reference: `GET /clients/{client_id}/tokens`


API Reference: `GET /cards/{card_contract_id}/tokens`


API Reference: `GET /tokens/{token_number}`

<br />

